Subject: Re: Zile as git core editor?

From: Thorsten Jolitz <[email-masked]>
Date: Fri, 26 Apr 2013 10:37:50 +0200

Tay Ray Chuan <[email-masked]> writes:

Hi,

> Is the GIT_EDITOR or EDITOR environment variable set? They may be
> overriding the core.editor setting.

Actually, EDITOR is set to Zile, so that should not be the problem:

[tj@hostname ~]$ echo $EDITOR
/usr/bin/zile
[tj@hostname ~]$ echo $GIT_EDITOR

[tj@hostname ~]$ 

BTW - would 'git config --global core.editor zile' or 'git config
--global core.editor /usr/bin/zile' the right way to set it (both did
not work)? I can start Zile simply with 'zile' on the command line. 

> --
> Cheers,
> Ray Chuan
>
> On Fri, Apr 26, 2013 at 3:39 PM, Thorsten Jolitz <[email-masked]> wrote:
>>
>> Hi List,
>>
>> after experiencing one crash to many, I'm back to Standard Emacs
>> (instead of Emacsserver/Emacsclient), thus using 'emacs' (instead of
>> emacsclient) as git core editor triggers reading my huge init file and
>> is way to slow.
>>
>> I would like to use Zile (a small Emacs clone) instead, and although
>> otherwise it works alright on my system, it does not seem to work as git
>> core editor.
>>
>> Is it possible to use 'git config --global core.editor zile'?
>>
>> --
>> cheers,
>> Thorsten
>>
>>
>> --
>> To unsubscribe from this list: send the line "unsubscribe git" in
>> the body of a message to [email-masked]
>> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
cheers,
Thorsten